com.microfocus.awm.meta.interfaces

## Interface LinkedElementType

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, ElementType, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    LinkedElementTypeImpl

      public interface LinkedElementType
      extends ElementType

  An element type describes a class of elements, including their properties and applicable actions. Every element must belong to an element type at run time. The element type is assigned via the match name. Each element type has a match name attribute, under which a unique name for the type must be defined. A tool that creates a new element must return this name under a designated property.

  Linked Element types extends the `ElementType` interface and provides additional functionallity.
  Depending on function packages installed and used in an AWM model, it is possible to create a linked element type. Linked Element types provide the possiblity to synchronise AWM elements and provide icons for specific elements. Linked element types are often used together with `LinkedProperty`s.

  The following features are supported:

  - `Linked Element Type ID`
  - `Linked Element Type Label`
  See Also:
    `TaurusPackage.getLinkedElementType()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkedElementTypeExtension` | `getLinkedElementTypeExtension()` Gets the extension of the linked element type.
    `java.lang.String` | `getLinkedElementTypeID()` Returns the value of the 'Linked Element Type ID' attribute.
    `java.lang.String` | `getLinkedElementTypeLabel()` Returns the value of the 'Linked Element Type Label' attribute.
    `void` | `setLinkedElementTypeID(java.lang.String value)` Sets the value of the '`Linked Element Type ID`' attribute.
    `void` | `setLinkedElementTypeLabel(java.lang.String value)` Sets the value of the '`Linked Element Type Label`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.ElementType

      `getDefaultAction, getElementSuffixProperty, getGetAllProperties, getGetChildren, getHasAction, getHasFilter, getHasGetChildrenAction, getHasGetPropertiesAction, getHasProperty, getHasTextDecoration, getIcon, getIDDefinition, getMatchname, setGetAllProperties, setHasGetChildrenAction, setHasGetPropertiesAction, setIcon, setIDDefinition, setMatchname`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLinkedElementTypeID

          java.lang.String getLinkedElementTypeID()

      Returns the value of the 'Linked Element Type ID' attribute.
      The ID of the linked element type. This ID is defined in the com.microfocus.awm.model.extension extension point.
      Returns:
        the value of the 'Linked Element Type ID' attribute.
      See Also:
        `setLinkedElementTypeID(String)`, `TaurusPackage.getLinkedElementType_LinkedElementTypeID()`

    - #### setLinkedElementTypeID

          void setLinkedElementTypeID(java.lang.String value)

      Sets the value of the '`Linked Element Type ID`' attribute.
      Parameters:
        `value` - the new value of the 'Linked Element Type ID' attribute.
      See Also:
        `getLinkedElementTypeID()`

    - #### getLinkedElementTypeLabel

          java.lang.String getLinkedElementTypeLabel()

      Returns the value of the 'Linked Element Type Label' attribute.
      The label of the linked element type. This label is defined in the com.microfocus.awm.model.extension extension point.
      Returns:
        the value of the 'Linked Element Type Label' attribute.
      See Also:
        `setLinkedElementTypeLabel(String)`, `TaurusPackage.getLinkedElementType_LinkedElementTypeLabel()`

    - #### setLinkedElementTypeLabel

          void setLinkedElementTypeLabel(java.lang.String value)

      Sets the value of the '`Linked Element Type Label`' attribute.
      Parameters:
        `value` - the new value of the 'Linked Element Type Label' attribute.
      See Also:
        `getLinkedElementTypeLabel()`

    - #### getLinkedElementTypeExtension

          LinkedElementTypeExtension getLinkedElementTypeExtension()

      Gets the extension of the linked element type.
      Returns:
        the linked element type extension

Copyright © 2015 Micro Focus GmbH. All rights reserved.